All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.deployment
Class AbstractServiceDeployment

    com.sas.services.deployment.AbstractServiceDeployment

Direct Known Subclasses:
  ServiceDeployment

    public abstract class AbstractServiceDeployment

Utilities to manipulate a foundation services deployment.

- Application configurations for a service
  - install
  - determining if a configuration is installed
- Services deployment inspection
  - getting the deployment's service components
  - determining if a service implementing a specified interface is defined

Since:
  9.2

Constructor Summary
`AbstractServiceDeployment(java.lang.String softwareComponentName)` Constructs a representation of a foundation services deployment.

Method Summary
`protected java.lang.String` | `getSearchOptions(java.lang.String softwareComponentID)` Gets a search filter which will locate all ServiceComponents defined under a particular SoftwareComponent.
`static ServiceFactoryInterface` | `getServiceFactory(java.lang.String serviceFactoryClassName)` Creates a service factory.
`java.lang.String` | `getSoftwareComponentName()` Gets the name of the service deployment.
`protected java.lang.String` | `getXMLSelectProperty(java.lang.String serviceComponentFQID, java.lang.String configName)` Gets an XMLSelect which can be used to query a configuration property for a particular service component.
`abstract boolean` | `installServiceConfiguration(java.lang.String configName, java.lang.String configDesc, java.io.File configFile, java.lang.String serviceInterfaceClassName)` Adds an application configuration to the foundation service that implements the specified interface.

Constructor Detail

### AbstractServiceDeployment

    public AbstractServiceDeployment(java.lang.String softwareComponentName)
                              throws ServiceException

  Constructs a representation of a foundation services deployment.

  Parameters:
    `softwareComponentName` - Name of the `SoftwareComponent` which represents a foundation services deployment.
  Throws:
    `ServiceException` - if unable to query the service deployment metadata.

Method Detail

### getSoftwareComponentName

    public final java.lang.String getSoftwareComponentName()

  Gets the name of the service deployment.

  Returns:
    Service deployment's name.

### installServiceConfiguration

    public abstract boolean installServiceConfiguration(java.lang.String configName,
                                                        java.lang.String configDesc,
                                                        java.io.File configFile,
                                                        java.lang.String serviceInterfaceClassName)
                                                 throws ServiceException

  Adds an application configuration to the foundation service that implements the specified interface.

  Parameters:
    `configName` - The unique name for the application configuration (e.g. "Information Delivery Portal").
    `configDesc` - An optional description for the application configuration.
    `configFile` - The file that contains a foundation services configuration which is to be added to the service definition.
    `serviceInterfaceClassName` - The fully-qualified Java class name for the primary interface implemented by the service whose configuration is to be updated (e.g. "com.sas.services.user.UserServiceInterface").
  Returns:
    `true` if the service configuration was successfully installed.
  Throws:
    `ServiceException` - if unable to install the specified service configuration.

### getXMLSelectProperty

    protected final java.lang.String getXMLSelectProperty(java.lang.String serviceComponentFQID,
                                                          java.lang.String configName)

  Gets an XMLSelect which can be used to query a configuration property for a particular service component.

  Parameters:
    `serviceComponentFQID` - The metadata ID of the service component.
    `configName` - The name of the service configuration property. This corresponds to the Property.Name attribute.
  Returns:
    XMLSelect used to query a named configuration property for a particular service component.

### getSearchOptions

    protected java.lang.String getSearchOptions(java.lang.String softwareComponentID)

  Gets a search filter which will locate all ServiceComponents defined under a particular SoftwareComponent.

  Parameters:
    `softwareComponentID` - FQID of the SoftwareComponent.
  Returns:
    XMLSelect search filter.

### getServiceFactory

    public static final ServiceFactoryInterface getServiceFactory(java.lang.String serviceFactoryClassName)
                                                           throws ServiceException

  Creates a service factory.

  Parameters:
    `serviceFactoryClassName` - Fully-qualified Java class name for a service's factory that implements `ServiceFactoryInterface`.
  Returns:
    Service factory.
  Throws:
    `ServiceException` - if unable to create a service factory.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.